Bug 867006 - nouveau: doesn't correctly resume from hibernate
nouveau: doesn't correctly resume from hibernate
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 10:17 EDT by Jaroslav Škarvada
Modified: 2013-07-31 17:56 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 17:56:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg after the failed resume (88.62 KB, text/plain)
2012-10-16 10:18 EDT, Jaroslav Škarvada
no flags Details
dmidecode (13.84 KB, text/plain)
2012-10-16 10:19 EDT, Jaroslav Škarvada
no flags Details
Xorg log (26.82 KB, text/plain)
2012-10-16 10:21 EDT, Jaroslav Škarvada
no flags Details

  None (edit)
Description Jaroslav Škarvada 2012-10-16 10:17:10 EDT
Description of problem:
Unable to resume from hibernate, suspend/resume works. Everything seems OK, video and backlight comes back, I can see my previous desktop but before the echo disk > /sys/power/state returns the video switches to console than back and then the desktop gets somehow resized and only background is visible.

Version-Release number of selected component (if applicable):
kernel-3.6.1-1.fc18.i686

How reproducible:
Always

Steps to Reproduce:
1. echo disk > /sys/power/state
2. resume
  
Actual results:
It doesn't correctly resume.

Expected results:
It correctly resumes.

Additional info:
Sorry if this is not kernel bug but e.g. Xorg bug, please reassign in this case.
Comment 1 Jaroslav Škarvada 2012-10-16 10:18:01 EDT
Created attachment 628181 [details]
dmesg after the failed resume
Comment 2 Jaroslav Škarvada 2012-10-16 10:19:48 EDT
Created attachment 628182 [details]
dmidecode
Comment 3 Jaroslav Škarvada 2012-10-16 10:21:04 EDT
Created attachment 628183 [details]
Xorg log
Comment 4 Jaroslav Škarvada 2012-10-16 10:25:20 EDT
I can chvt (but it's very slow) and I can work from the console, but I cannot restart X:
> [drm] ... nouveau  ... Failed to idle channel 1
> ...
> [drm] ... nouveau  ... Failed to idle channel 3
Comment 5 Fedora End Of Life 2013-07-03 17:07:17 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 17:56:07 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.